Package eu.mhsl.minenet.minigames.instance.room.inventory

# Class MinigameTypeSelectInventory

java.lang.Object
net.minestom.server.inventory.AbstractInventory
net.minestom.server.inventory.Inventory
eu.mhsl.minenet.minigames.shared.inventory.InteractableInventory
eu.mhsl.minenet.minigames.instance.room.inventory.MinigameTypeSelectInventory

All Implemented Interfaces:
  `net.minestom.server.inventory.InventoryClickHandler`, `net.minestom.server.tag.Taggable`, `net.minestom.server.tag.TagReadable`, `net.minestom.server.tag.TagWritable`, `net.minestom.server.Viewable`

public class MinigameTypeSelectInventory extends InteractableInventory

- ## Field Summary

  ### Fields inherited from class net.minestom.server.inventory.AbstractInventory

  `clickProcessor, inventoryConditions, itemStacks`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinigameTypeSelectInventory()`

- ## Method Summary

  ### Methods inherited from class eu.mhsl.minenet.minigames.shared.inventory.InteractableInventory

  `onClick, setClickableItem, setClickableItem, setDummyItem, setDummyItem`

  ### Methods inherited from class net.minestom.server.inventory.Inventory

  `addViewer, changeHeld, clear, doubleClick, dragging, drop, getCursorItem, getInventoryType, getTitle, getViewers, getWindowId, leftClick, middleClick, removeViewer, rightClick, sendProperty, setCursorItem, setTitle, shiftClick, UNSAFE_itemInsert, update, update`

  ### Methods inherited from class net.minestom.server.inventory.AbstractInventory

  `addInventoryCondition, addItemStack, addItemStack, addItemStacks, copyContents, getInnerSize, getInventoryConditions, getItemStack, getItemStacks, getSize, processItemStack, processItemStacks, replaceItemStack, safeItemInsert, safeItemInsert, setItemStack, tagHandler, takeItemStack, takeItemStacks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface net.minestom.server.inventory.InventoryClickHandler

  `callClickEvent`

  ### Methods inherited from interface net.minestom.server.tag.Taggable

  `getTag, hasTag, removeTag, setTag`

  ### Methods inherited from interface net.minestom.server.Viewable

  `getViewersAsAudience, getViewersAsAudiences, isViewer, sendPacketsToViewers, sendPacketsToViewers, sendPacketToViewers, sendPacketToViewersAndSelf`

- ## Constructor Details

  - ### MinigameTypeSelectInventory

    public MinigameTypeSelectInventory()